Click or drag to resize

GeometryEncoderToCurve Method

Overload List
  NameDescription
Public methodStatic memberCode exampleToCurve(ArcCurve)
Converts the specified Rhino.Geometry.ArcCurve to an equivalent of Autodesk.Revit.DB.Curve.
Public methodStatic memberCode exampleToCurve(Curve)
Converts the specified Rhino.Geometry.Curve to an equivalent of Autodesk.Revit.DB.Curve.
Public methodStatic memberCode exampleToCurve(Ellipse)
Converts the specified Rhino.Geometry.Ellipse to an equivalent of Autodesk.Revit.DB.Curve.
Public methodStatic memberCode exampleToCurve(LineCurve)
Converts the specified Rhino.Geometry.LineCurve to an equivalent of Autodesk.Revit.DB.Curve.
Public methodStatic memberCode exampleToCurve(NurbsCurve)
Converts the specified Rhino.Geometry.NurbsCurve to an equivalent of Autodesk.Revit.DB.Curve.
Public methodStatic memberCode exampleToCurve(PolyCurve)
Converts the specified Rhino.Geometry.PolyCurve to an equivalent of Autodesk.Revit.DB.Curve.
Public methodStatic memberCode exampleToCurve(PolylineCurve)
Converts the specified Rhino.Geometry.PolylineCurve to an equivalent of Autodesk.Revit.DB.Curve.
Public methodStatic memberCode exampleToCurve(Ellipse, Interval)
Converts the specified Rhino.Geometry.Ellipse within the given Rhino.Geometry.Intervalto an equivalent of Autodesk.Revit.DB.Curve.
Top
See Also